#include <bits/stdc++.h>
using namespace std;

vector<int> solve(vector<pair<int, int>> r, vector<long long> d, vector<int> s, vector<int> t, vector<bool> i){
    int m = d.size();
    vector<int> ans;

    for(int i = 0; i <  m; i++){
        ans.push_back(0);
    }

    return ans;
}
